This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293517 - cache problems
cache problems
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 21:25 EST by Richard Jasmin
Modified: 2016-07-19 14:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:37:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-12-21 21:25:53 EST
Description of problem:
there is some serious cache problems going on here.
webserver changes are not propogating to the browser when implemented. server side caching is not triggering this. rather server is not caching data and browser is thinking it is.

proof is evident when using links on same server.changes are almost immeadiate with links but not so with firefox.firefox keeps loading cached files, even when apache is NOT configured to cache anything.even files that no longer exist keep getting loaded by firefox. there is no way to prevent this behaviour.

this trips some serious errors.

Version-Release number of selected component (if applicable):
22

How reproducible:
always

Steps to Reproduce:
1.load a webpage
2.change it
3.try to reload it

Actual results:
!!!

Expected results:
this should never be

Additional info:
making some ssl site wide changes to my wordpress net on southernhedgehogs.org. even after DNS propogation and force relocation to ssl servers, the same errors are still tripped.

www should point to the lack thereof.In case it doesnt, invoke the site directly.

emptied cache. used plugins to empty cache. no effect.
removed index file from wiki area. firefox seems to think its still there. same with tripping index flag for file browsing with the htaccess file. enable it and firefox wont see the changes.

true the main domain is supposed to force ssl redirect but firefox seems to think this fails and keeps throwing 403 errors instead of serving the existing content. the site servers load the site either way. the ssl redirect should work.

try same site with links.
yes, the www causes breakage.omit it. my bad on the cert issue.
this is not a dns issue. the second blog does not trip same error in firefox as the main domain does.
http and https yield the same site, as they should. not so on the master domain and root folder. Y? firefox.

not that this matters but this is multisite.The site is only installed once.Only content differs between the sites. I have two sites, one subdomain(which redirects back to the main site). All redirect links between the main site seem to fail.
Comment 1 Fedora End Of Life 2016-07-19 14:37:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.